org.wildfly.swarm.config.security

## Class ElytronRealm<T extends ElytronRealm<T>>

- java.lang.Object
- - org.wildfly.swarm.config.security.ElytronRealm<T>

-     public class ElytronRealm<T extends ElytronRealm<T>>
      extends Object

  The configuration of an Elytron-compatible realm that delegates authentication decisions to a legacy security domain.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElytronRealm(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `applyRoleMappers()` Indicates to the realm if it should apply the role mappers defined in the legacy domain to the roles obtained from authenticated Subjects or not.
    `T` | `applyRoleMappers(Boolean value)` Indicates to the realm if it should apply the role mappers defined in the legacy domain to the roles obtained from authenticated Subjects or not.
    `String` | `getKey()`
    `String` | `legacyJaasConfig()` The name of the legacy security domain to which authentication will be delegated.
    `T` | `legacyJaasConfig(String value)` The name of the legacy security domain to which authentication will be delegated.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElytronRealm

          public ElytronRealm(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### applyRoleMappers

          public Boolean applyRoleMappers()

      Indicates to the realm if it should apply the role mappers defined in the legacy domain to the roles obtained from authenticated Subjects or not.

    - #### applyRoleMappers

          public T applyRoleMappers(Boolean value)

      Indicates to the realm if it should apply the role mappers defined in the legacy domain to the roles obtained from authenticated Subjects or not.

    - #### legacyJaasConfig

          public String legacyJaasConfig()

      The name of the legacy security domain to which authentication will be delegated.

    - #### legacyJaasConfig

          public T legacyJaasConfig(String value)

      The name of the legacy security domain to which authentication will be delegated.

Copyright © 2018 JBoss by Red Hat. All rights reserved.